/*
 * Project name:
     LED_Curtain (Simple 'Hello World' project)
 * Copyright:
     (c) Mikroelektronika, 2012.
 * Revision History:
     20080930:
       - initial release;
     20090720
       - modified by Slavisa Zlatanovic;
     20120522:
       - modified for PIC18F25K22 (FJ);
 * Description:
     This is a simple 'Hello World' project. It turns on/off LEDs connected to
     PORTA, PORTB, PORTC and PORTD.
 * Test configuration:
     MCU:             PIC18F25K22
                      http://ww1.microchip.com/downloads/en/DeviceDoc/41412D.pdf
     Dev.Board:       Ready for PIC Board - DIP28
                      http://www.mikroe.com/eng/products/view/963/ready-for-pic-dip28/
     Oscillator:      HS-PLL 32.0000 MHz, 8.0000 MHz Crystal
     Ext. Modules:    EasyLED Board - ac:LEDs
                      http://www.mikroe.com/eng/products/view/566/easyled-board/
     SW:              mikroC PRO for PIC
                      http://www.mikroe.com/eng/products/view/7/mikroc-pro-for-pic/
 * NOTES:
     - None.
 */

char counter;

void wait() {
  Delay_ms(100);
}

void main() {
  ANSELA = 0;
  ANSELB = 0;
  ANSELC = 0;

  TRISA = 0x00;              // set direction to be output
  TRISB = 0x00;              // set direction to be output
  TRISC = 0x00;              // set direction to be output

  LATA = 0x00;               // turn OFF the PORTA leds
  LATB = 0x00;               // turn OFF the PORTB leds
  LATC = 0x00;               // turn OFF the PORTC leds

  while (1) {
    for (counter = 0; counter < 8; counter++){
      LATA |= 1 << counter;
      LATB |= 1 << counter;
      LATC |= 1 << counter;
 
      wait();
    }
       
    counter = 0;
    while (counter < 8) {
      LATA &= ~(1 << counter);
      LATB &= ~(1 << counter);
      LATC &= ~(1 << counter);
      wait();
      counter++;
    }
  }
}